Bug 847484 - Review Request: mediawiki-HTTP302Found - Forces an external HTTP 302 redirect instead of internal redirects
Review Request: mediawiki-HTTP302Found - Forces an external HTTP 302 redirect...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-11 21:23 EDT by Patrick Uiterwijk
Modified: 2012-09-07 07:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-07 07:24:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Patrick Uiterwijk 2012-08-11 21:23:18 EDT
Spec URL: http://puiterwijk.fedorapeople.org/packages/mediawiki-HTTP302Found/mediawiki-HTTP302Found.spec
SRPM URL: http://puiterwijk.fedorapeople.org/packages/mediawiki-HTTP302Found/mediawiki-HTTP302Found-2.0-1.fc17.src.rpm
Fedora Account System Username: puiterwijk
Description: Pushes a HTTP code 302 (Found) to the browser when there is a redirect instead
of handling it internally. The end user will not notice any difference (other
than the address to the page having an ?rd=Redirecting_page bit at the end).
Comment 1 Kevin Fenzi 2012-08-11 22:45:42 EDT
Note that in EPEL6 (which we use in Fedora Infrastructure) we are using the 'mediawiki119' package. 

So, if you want to maintain in both Fedora and EPEL6, we will need to complete this review for Fedora and do a new one for mediawiki119-HTTP302Found for EPEL6. 

Just let me know and I can review this and the EPEL6 one.
Comment 2 Kevin Fenzi 2012-08-12 14:22:50 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (GPLv2+)
OK - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
83a16d4ed5a3f2cab1ffb40b3f0a086d  ./HTTP302Found-2.0.tar.gz
83a16d4ed5a3f2cab1ffb40b3f0a086d  rpmbuild/SOURCES/HTTP302Found-2.0.tar.gz

OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
OK - No rpmlint output. 
See below - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. Not a blocker, but might include a COPYING gplv2 file with the package. 

2. rpmlint says: 
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

3. Does this require mediawiki 1.19? Fedora seems to only/currenly have 1.16 right now. 
(Maintainer should really update or new maintainer found). 

The issue in point 3 should be solved before this is imported...
Comment 3 Patrick Uiterwijk 2012-08-12 14:37:59 EDT
COPYING file is included in sources for 2.0.1.
Required version updated to 1.7.

Spec URL: http://puiterwijk.fedorapeople.org/packages/mediawiki-HTTP302Found/mediawiki-HTTP302Found.spec
SRPM URL: http://puiterwijk.fedorapeople.org/packages/mediawiki-HTTP302Found/mediawiki-HTTP302Found-2.0.1-1.fc17.src.rpm
Comment 4 Kevin Fenzi 2012-08-12 14:39:10 EDT
looks good. This package is APPROVED.
Comment 5 Patrick Uiterwijk 2012-08-12 14:45:37 EDT
New Package SCM Request
=======================
Package Name: mediawiki-HTTP302Found
Short Description: Forces an external HTTP 302 redirect instead of internal redirects
Owners: puiterwijk
Branches: f16 f17 f18 el5 el6
InitialCC:
Comment 6 Gwyn Ciesla 2012-08-12 14:59:46 EDT
Unretired all branches in pkddb, please take ownership.
Comment 7 Gwyn Ciesla 2012-08-12 15:01:05 EDT
?
Comment 8 Patrick Uiterwijk 2012-08-12 15:06:10 EDT
(In reply to comment #6)
> Unretired all branches in pkddb, please take ownership.

Thanks, just done so.
I'll file a ticket with releng for unblock.
Comment 9 Fedora Update System 2012-08-12 15:41:15 EDT
mediawiki-HTTP302Found-2.0.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mediawiki-HTTP302Found-2.0.1-1.fc16
Comment 10 Fedora Update System 2012-08-12 15:41:26 EDT
mediawiki-HTTP302Found-2.0.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mediawiki-HTTP302Found-2.0.1-1.fc17
Comment 11 Fedora Update System 2012-08-12 15:41:36 EDT
mediawiki-HTTP302Found-2.0.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mediawiki-HTTP302Found-2.0.1-1.el6
Comment 12 Fedora Update System 2012-08-12 15:41:47 EDT
mediawiki-HTTP302Found-2.0.1-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mediawiki-HTTP302Found-2.0.1-1.el5
Comment 13 Fedora Update System 2012-08-12 22:24:10 EDT
Package mediawiki-HTTP302Found-2.0.1-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mediawiki-HTTP302Found-2.0.1-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11770/mediawiki-HTTP302Found-2.0.1-1.fc16
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2012-09-07 07:24:13 EDT
mediawiki-HTTP302Found-2.0.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2012-09-07 07:27:57 EDT
mediawiki-HTTP302Found-2.0.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.